#
# spec file for package fonttools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fonttools
BuildRequires:  python-devel
BuildRequires:  python-numpy
BuildRequires:  pyxml
#%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:       python-numpy
Requires:       python-xml
Requires:       pyxml
Version:        2.4
Release:        7.4
Url:            http://sourceforge.net/projects/fonttools/
# CVS:
# cvs -d:pserver:anonymous@fonttools.cvs.sourceforge.net:/cvsroot/fonttools login
# cvs -z3 -d:pserver:anonymous@fonttools.cvs.sourceforge.net:/cvsroot/fonttools co fonttools
Source0:        http://downloads.sourceforge.net/project/fonttools/%{version}/fonttools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Suite of Tools and Libraries for Manipulating Fonts
License:        BSD-3-Clause
Group:          Productivity/Graphics/Vector Editors

%description
FontTools is a suite of tools and libraries for manipulating fonts
written in Python.

It currently reads and writes TrueType font files, reads PostScript
Type 1 fonts, and more. It contains two command line programs to
convert TrueType fonts to an XML based format (called TTX) and back.

%prep
%setup -n fonttools-%{version}
chmod 644 LICENSE.txt

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=filelist.log
sed -i 's:ttx.1:ttx.1.gz:' filelist.log

%files -f filelist.log
%defattr(-, root, root)
%doc LICENSE.txt README.txt Doc/

%changelog
* Thu Jun 19 2014 pgajdos@suse.com
- updated to 2.4:
  * Option to write to arbitrary files
  * Better dump format for DSIG
  * Better detection of OTF XML
  * Fix issue with Apple's kern table format
  * Fix mangling of TT glyph programs
  * etc., see Doc/changes.txt
* Thu Nov  8 2012 pgajdos@suse.cz
- updated to 2.3:
  * TrueType Collection (TTC) support
  * Python 2.6 support
  * Update Unicode data to 5.2.0
  * Couple of bug fixes
- dropped upstreamed fix-build-with-python-2.6.patch
- dropped upstreamed fix-installation-of-man-page.patch
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Wed Feb  4 2009 mfabian@suse.de
- bnc#470073: fonttools 2.2 must require python-numpy now, not the
  obsolete python-numeric.
* Tue Sep  9 2008 mfabian@suse.de
- update to 2.2.
  Extract from Changelog.txt:
  • updated unicode module to unicode 5.1.0
  • cmap format 1 support, contributed by rroberts
  • fixed problem with private VTT table, found by Peter Bilak
  • improve performance with CJK fonts
- fix build in Factory.
* Mon Apr 23 2007 mfabian@suse.de
- Bugzilla #262326: update to current CVS version because
  the version we currently have (2.0b1) is useless for many
  recent fonts.
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 29 2003 mcihar@suse.cz
- require same python version as it was built with
* Thu Jun 26 2003 mcihar@suse.cz
- use --record-rpm (AKA better fix for fix "file not owned by any
  package")
* Fri Jun 13 2003 mfabian@suse.de
- fix "file not owned by any package".
* Mon Mar 24 2003 mfabian@suse.de
- new package: fonttools, version 2.0b1
